libzypp: zypp::xml::ParseDefConsume Struct Reference

libzypp 17.36.6

Public Member Functions | List of all members
zypp::xml::ParseDefConsume Struct Reference

Base class for ParseDef consumer. More...

`#include <zypp/parser/xml/ParseDefConsume.h>`

Inheritance diagram for zypp::xml::ParseDefConsume:

## Public Member Functions
virtual | ~ParseDefConsume ()
virtual void | start (const Node &_node)
virtual void | text (const Node &_node)
virtual void | cdata (const Node &_node)
virtual void | done (const Node &_node)
virtual void | startSubnode (const Node &_node)
virtual void | doneSubnode (const Node &_node)

## Detailed Description

Base class for ParseDef consumer.

Definition at line 39 of file ParseDefConsume.h.

## Constructor & Destructor Documentation

## ◆ ~ParseDefConsume()

zypp::xml::ParseDefConsume::~ParseDefConsume | ( |  | ) |
| virtual

Definition at line 27 of file ParseDefConsume.cc.

## Member Function Documentation

## ◆ start()

void zypp::xml::ParseDefConsume::start | ( | const Node & | _node | ) |
| virtual

Reimplemented in zypp::xml::parse_def_assign::Consumer, zypp::xml::ParseDefConsumeCallback, zypp::xml::ParseDefConsumeRedirect, and zypp::xml::ParseDefImplConsume.

Definition at line 30 of file ParseDefConsume.cc.

## ◆ text()

void zypp::xml::ParseDefConsume::text | ( | const Node & | _node | ) |
| virtual

Reimplemented in zypp::xml::parse_def_assign::Consumer, zypp::xml::ParseDefConsumeCallback, zypp::xml::ParseDefConsumeRedirect, and zypp::xml::ParseDefImplConsume.

Definition at line 33 of file ParseDefConsume.cc.

## ◆ cdata()

void zypp::xml::ParseDefConsume::cdata | ( | const Node & | _node | ) |
| virtual

Reimplemented in zypp::xml::ParseDefConsumeCallback, zypp::xml::ParseDefConsumeRedirect, and zypp::xml::ParseDefImplConsume.

Definition at line 36 of file ParseDefConsume.cc.

## ◆ done()

void zypp::xml::ParseDefConsume::done | ( | const Node & | _node | ) |
| virtual

Reimplemented in zypp::xml::parse_def_assign::Consumer, zypp::xml::ParseDefConsumeCallback, zypp::xml::ParseDefConsumeRedirect, and zypp::xml::ParseDefImplConsume.

Definition at line 39 of file ParseDefConsume.cc.

## ◆ startSubnode()

void zypp::xml::ParseDefConsume::startSubnode | ( | const Node & | _node | ) |
| virtual

Reimplemented in zypp::xml::ParseDefConsumeCallback, zypp::xml::ParseDefConsumeRedirect, and zypp::xml::ParseDefImplConsume.

Definition at line 42 of file ParseDefConsume.cc.

## ◆ doneSubnode()

void zypp::xml::ParseDefConsume::doneSubnode | ( | const Node & | _node | ) |
| virtual

Reimplemented in zypp::xml::ParseDefConsumeCallback, zypp::xml::ParseDefConsumeRedirect, and zypp::xml::ParseDefImplConsume.

Definition at line 45 of file ParseDefConsume.cc.

The documentation for this struct was generated from the following files:

- zypp/parser/xml/ParseDefConsume.h
- zypp/parser/xml/ParseDefConsume.cc